<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'
        ALTER TABLE process_orders
        ADD COLUMN coil_number TEXT DEFAULT NULL
        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'
        ALTER TABLE process_orders
        ADD COLUMN order_quantity INT DEFAULT NULL
        SQL;

        DB::statement($sql2);

        $sql3 = <<<'SQL'
        ALTER TABLE process_orders
        ADD COLUMN received_quantity INT DEFAULT NULL
        SQL;

        DB::statement($sql3);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('process_orders', function (Blueprint $table) {
        //     //
        // });
    }
};
